<?php

function debuguear($variable) : string {
    echo "<pre>";
    var_dump($variable);
    echo "</pre>";
    exit;
}

function s($html) : string {
    $s = htmlspecialchars($html);
    return $s;
}

function validarTexto($valor, $mensaje, &$errores, $regex) {
    if ($valor === '' || !preg_match($regex, $valor)) {
        $errores[] = $mensaje;
    }
}
function validarFecha($fecha, $mensaje, &$errores) {
    if ($fecha === '') {
        $errores[] = $mensaje;
        return;
    }

    $dt = DateTime::createFromFormat('Y-m-d', $fecha);
    $erroresFecha = DateTime::getLastErrors();

    if ($dt === false || $erroresFecha['warning_count'] > 0 || $erroresFecha['error_count'] > 0) {
        $errores[] = $mensaje;
    }
}
date_default_timezone_set('America/Mexico_City');
